## net.sf.saxon.expr
Class JPConverter.FromDoubleArray

    java.lang.Object
      net.sf.saxon.expr.JPConverter
          net.sf.saxon.expr.JPConverter.FromDoubleArray

All Implemented Interfaces:
  Serializable

Enclosing class:
  JPConverter

    public static class JPConverter.FromDoubleArray

extends JPConverter

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.JPConverter

`JPConverter.FromBigDecimal, JPConverter.FromBigInteger, JPConverter.FromBoolean, JPConverter.FromBooleanArray, JPConverter.FromByte, JPConverter.FromByteArray, JPConverter.FromCharacter, JPConverter.FromCharArray, JPConverter.FromCollection, JPConverter.FromDate, JPConverter.FromDouble, JPConverter.FromDoubleArray, JPConverter.FromFloat, JPConverter.FromFloatArray, JPConverter.FromInt, JPConverter.FromIntArray, JPConverter.FromLong, JPConverter.FromLongArray, JPConverter.FromObjectArray, JPConverter.FromQName, JPConverter.FromSequenceIterator, JPConverter.FromShort, JPConverter.FromShortArray, JPConverter.FromSource, JPConverter.FromString, JPConverter.FromURI, JPConverter.FromValueRepresentation, JPConverter.WrapExternalObject`

Field Summary
`static JPConverter.FromDoubleArray` `INSTANCE`

Constructor Summary
`JPConverter.FromDoubleArray()`

Method Summary
`String` `compile(String var, CodeGeneratorService compiler)` Generate a Java expression (as text) that can be used to implement this conversion when compiling a query
`ValueRepresentation` `convert(Object object, XPathContext context)` Convert a Java object to an equivalent XPath value
`int` `getCardinality()` Get the cardinality of the XPath value that will result from the conversion
`ItemType` `getItemType()` Get the item type of the XPath value that will result from the conversion

Methods inherited from class net.sf.saxon.expr.JPConverter
`allocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JPConverter.FromDoubleArray INSTANCE

Constructor Detail

### JPConverter.FromDoubleArray

    public JPConverter.FromDoubleArray()

Method Detail

### convert

    public ValueRepresentation convert(Object object,
                                       XPathContext context)
                                throws XPathException

  Description copied from class: `JPConverter`
  Convert a Java object to an equivalent XPath value

  Specified by:
    `convert` in class `JPConverter`
  Parameters:
    `object` - the java object to be converted
    `context` - the XPath dynamic evaluation context
  Returns:
    the XPath value resulting from the conversion
  Throws:
    `XPathException` - if the conversion is not possible or if it fails

### getItemType

    public ItemType getItemType()

  Description copied from class: `JPConverter`
  Get the item type of the XPath value that will result from the conversion

  Specified by:
    `getItemType` in class `JPConverter`
  Returns:
    the XPath item type

### getCardinality

    public int getCardinality()

  Description copied from class: `JPConverter`
  Get the cardinality of the XPath value that will result from the conversion

  Overrides:
    `getCardinality` in class `JPConverter`
  Returns:
    the cardinality of the result

### compile

    public String compile(String var,
                          CodeGeneratorService compiler)

  Description copied from class: `JPConverter`
  Generate a Java expression (as text) that can be used to implement this conversion when compiling a query

  Overrides:
    `compile` in class `JPConverter`
  Parameters:
    `var` - the Java variable that will hold the Java value to be converted
    `compiler` - provides callback services
  Returns:
    a Java expression (as text) that implements the conversion. The result of the Java expression must be of type ValueRepresentation, and if the cardinality of the converter is exactly one then it must be of type Item.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.